<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		$of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");   
		$of_menu_style	= array("icon+desc" => "icon + desc","only_icon" => "only icon" ,"default" => "default" );
		$of_header_style	= array("style1" => "style1","style2" => "style2" ,"style3" => "style3" );
 
		//Testing 
		$of_layout_select 	= array("fullwidth" => "Fullwidth","boxed" => "Boxed Layout");
                $of_options_bg_repeat   = array("stretch" => "Strech Image","repeat" => "repeat","no-repeat" => "no-repeat","repeat-y" => "repeat-y","repeat-x" => "repeat-x");
                $of_options_bg_size   = array("auto" => "Auto","cover" => "Cover","contain" => "Contain");
		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
                $border_width   	= array("1px" => "1px","2px" => "2px","3px" => "3px","4px" => "4px","5px" => "5px");
		
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 


/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options,$ott_googlefonts;
$of_options = array();

/*      wsblogz custom admin section started     */
//      General TAB
$of_options[] = array( 	"name" 		=> "General",
						"type" 		=> "heading"
				);
				
$of_options[] = array( 	"name" 		=> "Logo option heading",
						"desc" 		=> "",
						"id" 		=> "logo_opt_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Logo options</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Upload Standard Logo",
						"desc" 		=> "Please insert your logo.",
						"id" 		=> "theme_logo",
						"std" 		=> "",
						"mod" 		=> "min",
						"type" 		=> "upload"
				);				

$of_options[] = array( 	"name" 		=> "Logo Margin from Top",
						"desc" 		=> "Note: You need to insert only value.",
						"id" 		=> "logo_top",
						"std" 		=> "0",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Logo Margin from Left",
						"desc" 		=> "Note: You need to insert only value.",
						"id" 		=> "logo_left",
						"std" 		=> "0",
						"type" 		=> "text"
				);		
				
$of_options[] = array( 	"name" 		=> "Standard Logo Width",
						"desc" 		=> "You need to insert Non retina logo width. Height auto",
						"id" 		=> "logo_stwidth",
						"std" 		=> "",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Standard Logo Width",
						"desc" 		=> "You need to insert Non retina logo width. Height auto",
						"id" 		=> "logo_width",
						"std" 		=> "",
						"fold" 		=> "logo_retina", /* the checkbox hook */
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Upload Fixed menu Logo",
						"desc" 		=> "Please insert your Fixed Menu logo.",
						"id" 		=> "fixed_logo",
						"std" 		=> "",
						"mod" 		=> "min",
						"type" 		=> "upload"
				);	

		
$of_options[] = array( 	"name" 		=> "Favicon option heading",
						"desc" 		=> "",
						"id" 		=> "favicon_opt_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Favicon options</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Upload Standard Favicon",
						"desc" 		=> "Please insert your favicon 16x16 icon. You may use <a href='http://www.favicon.cc/' target='_blank'>favicon.cc</a>",
						"id" 		=> "theme_favicon",
						"std" 		=> "",
						"mod" 		=> "min",
						"type" 		=> "upload"
				);
$of_options[] = array( 	"name" 		=> "Retina Favicon",
						"desc" 		=> "",
						"id" 		=> "favicon_retina",
						"std" 		=> 0,
						"folds" 	=> 1,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Favicon for iPhone (57x57)",
						"desc" 		=> "Please upload your favicon 57x57.",
						"id" 		=> "favicon_iphone",
						"std" 		=> "",
						"mod" 		=> "min",
                                                "fold" 		=> "favicon_retina", /* the checkbox hook */
						"type" 		=> "upload"
				);
$of_options[] = array( 	"name" 		=> "Retina Favicon for iPhone (114x114)",
						"desc" 		=> "Please upload your favicon 114x114.",
						"id" 		=> "favicon_iphone_retina",
						"std" 		=> "",
						"mod" 		=> "min",
                                                "fold" 		=> "favicon_retina", /* the checkbox hook */
						"type" 		=> "upload"
				);



$of_options[] = array( 	"name" 		=> "Tracking",
						"desc" 		=> "",
						"id" 		=> "track_code_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Tracking</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Tracking Code",
						"desc" 		=> "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
						"id" 		=> "tracking_code",
						"std" 		=> "",
						"type" 		=> "textarea"
				);
				
				
//     Layout Options

$of_options[] = array( 	"name" 		=> "Layout Options",
						"type" 		=> "heading"
				);

$of_options[] = array( 	"name" 		=> "Theme Layout",
						"desc" 		=> "",
						"id" 		=> "layout_theme_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Theme Layout</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Theme Layout Style",
						"desc" 		=> "Choose the Theme layout style.",
						"id" 		=> "theme_layout",
						"std" 		=> "Boxed Layout",
						"type" 		=> "select",
						"options" 	=> $of_layout_select
				);
		
$of_options[] = array( 	"name" 		=> "Boxed Wrapper Margin Top",
						"desc" 		=> "Boxed Layout margin top.",
						"id" 		=> "margin_top",
						"std" 		=> "30",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Boxed Wrapper Margin Bottom",
						"desc" 		=> "Boxed Layout margin bottom.",
						"id" 		=> "margin_bottom",
						"std" 		=> "30",
						"type" 		=> "text"
				);					


$of_options[] = array( 	"name" 		=> "General",
						"desc" 		=> "",
						"id" 		=> "general_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">General Options</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Page builder",
						"desc" 		=> "Enable/Disable Page Builder for all pages.",
						"id" 		=> "pagebuilder",
						"std" 		=> 1,
						"folds" 	=> 1,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Ajax Page Scrole",
						"desc" 		=> "Enable/Disable Ajax Page Scrole.",
						"id" 		=> "nicescroll",
						"std" 		=> 0,
						"folds" 	=> 1,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Mobile animations",
						"desc" 		=> "Enable/Disable Mobile animations.",
						"id" 		=> "moblile_animation",
						"std" 		=> 0,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Page Breadcrumps",
						"desc" 		=> "Enable/Disable Page Breadcrumps",
						"id" 		=> "breadcrumps",
						"std" 		=> 1,
						"folds" 	=> 1,
						"type" 		=> "switch"
				);				


$of_options[] = array( 	"name" 		=> "Boxed Layout",
						"desc" 		=> "",
						"id" 		=> "layout_opt_boxed_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Boxed Layout Settings.</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Background Color",
						"desc" 		=> "Choose the background color.",
						"id" 		=> "background_color",
						"std" 		=> "#d1d1d1",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Background Image",
						"desc" 		=> "This option will only works under boxed layout chosen.",
						"id" 		=> "background_image",
						"std" 		=> "",
						"mod" 		=> "min",
						"type" 		=> "upload"
				);
$of_options[] = array( 	"name" 		=> "Background Image Repeat",
						"desc" 		=> "Choose the repeat or stretch image option.",
						"id" 		=> "background_repeat",
						"std" 		=> "repeat",
						"type" 		=> "select",
						"options" 	=> $of_options_bg_repeat
				);
$url_bgpattern =  ADMIN_DIR . 'assets/images/patterns/';
$of_options[] = array( 	"name" 		=> "Boxed Layout Patter",
						"desc" 		=> "Choose footer layout.",
						"id" 		=> "background_pat",
						"std" 		=> "3-3-3-3",
						"type" 		=> "images",
						"options" 	=> array(
						'nobg' => $url_bgpattern . 'nobg.png',
						'3.png' => $url_bgpattern . '3.png',
						'5.png' => $url_bgpattern . '5.png',
						'6.png' => $url_bgpattern . '6.png',
						'7.png' => $url_bgpattern . '7.png',						
						'13.png' => $url_bgpattern . '13.png',
						'15.png' => $url_bgpattern . '15.png',
						'arches.png' => $url_bgpattern . 'arches.png',
						'background.png' => $url_bgpattern . 'background.png',	
						'background_wood.png' => $url_bgpattern . 'background_wood.png',
						'bright_squares.png' => $url_bgpattern . 'bright_squares.png',
						'brushed_alu.png' => $url_bgpattern . 'brushed_alu.png',
						'crisp_paper_ruffles.png' => $url_bgpattern . 'crisp_paper_ruffles.png',	
						'cubes.png' => $url_bgpattern . 'cubes.png',
						'diagonal_striped_brick.png' => $url_bgpattern . 'diagonal_striped_brick.png',
						'diamond_upholstery.png' => $url_bgpattern . 'diamond_upholstery.png',
						'fabric_of_squares_gray_@2X.png' => $url_bgpattern . 'fabric_of_squares_gray_@2X.png',	
						'gplaypattern.png' => $url_bgpattern . 'gplaypattern.png',
						'graphy.png' => $url_bgpattern . 'graphy.png',
						'grey_@2X.png' => $url_bgpattern . 'grey_@2X.png',
						'hexellence.png' => $url_bgpattern . 'hexellence.png',	
						'n1.png' => $url_bgpattern . 'n1.png',
						'n2.png' => $url_bgpattern . 'n2.png',
						'n3.png' => $url_bgpattern . 'n3.png',		
						'n4.png' => $url_bgpattern . 'n4.png',	
						'n5.png' => $url_bgpattern . 'n5.png',
						'n6.png' => $url_bgpattern . 'n6.png',
						'n7.png' => $url_bgpattern . 'n7.png',
						'n12.png' => $url_bgpattern . 'n12.png',	
						'nistri.png' => $url_bgpattern . 'nistri.png',
						'norwegian_rose_@2X.png' => $url_bgpattern . 'norwegian_rose_@2X.png',	
						'ps_neutral_@2X.png' => $url_bgpattern . 'ps_neutral_@2X.png',
						'pw_maze_white_@2X.png' => $url_bgpattern . 'pw_maze_white_@2X.png',
						'scribble_light.png' => $url_bgpattern . 'scribble_light.png',
						'shattered_@2X.png' => $url_bgpattern . 'shattered_@2X.png',		
						'straws_@2X.png' => $url_bgpattern . 'straws_@2X.png',	
						'subtle_zebra_3d.png' => $url_bgpattern . 'subtle_zebra_3d.png',	
						'tiny_grid_@2X.png' => $url_bgpattern . 'tiny_grid_@2X.png',
						'wavegrid_@2X.png' => $url_bgpattern . 'wavegrid_@2X.png',
						'xv.png' => $url_bgpattern . 'xv.png',

										)
				);				

				

		
				
				
//      Pages Tab
$of_options[] = array( 	"name" 		=> "Pages",
						"type" 		=> "heading"
				);



$of_options[] = array( 	"name" 		=> "Portfolio Page Settings",
						"desc" 		=> "",
						"id" 		=> "port_add_opt_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Portfolios</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Portfolio post type slug",
						"desc" 		=> "Portfolio post type slug.",
						"id" 		=> "translate_portfolio",
						"std" 		=> "portfolio",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Portfolio single favorites",
						"desc" 		=> "Enable/Disable portfolio single favorites",
						"id" 		=> "hide_favorites",
						"std" 		=> 0,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Single portfolios related",
						"desc" 		=> "Enable/Disable Single portfolios related",
						"id" 		=> "port_related",
						"std" 		=> 0,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Portfolio image height",
						"desc" 		=> "Related portfolios height and Default portfolio image height.",
						"id" 		=> "port_height",
						"std" 		=> "250",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "Portfolio Single Page Background",
						"desc" 		=> "Inserted picture must be above 1600px width and height is atleast 120px. You can redefine or choose other option to your specific page on meta options.",
						"id" 		=> "worksingle_bg_image",
						"std" 		=> "",
						"mod" 		=> "min",
						"type" 		=> "upload"
				);		
				
$of_options[] = array( 	"name" 		=> "Blog Setting",
						"desc" 		=> "",
						"id" 		=> "blog_add_opt_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Blog</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Blog Post Single Meta",
						"desc" 		=> "Enable/Disable Single Blog Post Single Meta.",
						"id" 		=> "meta_on_single",
						"std" 		=> 1,
						"folds" 	=> 1,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Featured Media section on post single",
						"desc" 		=> "Enable/Disable Single Featured Media .",
						"id" 		=> "feature_show",
						"std" 		=> 1,
						"folds" 	=> 1,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Post Author section on post single",
						"desc" 		=> "Enable/Disable Post Author .",
						"id" 		=> "post_author",
						"std" 		=> 1,
						"folds" 	=> 1,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Blog Page Title",
						"desc" 		=> "Insert Title of your Blog page.",
						"id" 		=> "blog_title",
						"std" 		=> "Blog",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Blog Page Subtitle",
						"desc" 		=> "Insert Sub Title of your Blog page.",
						"id" 		=> "blog_subtitle",
						"std" 		=> "",
						"type" 		=> "text"
				);

$of_options[] = array( 	"name" 		=> "Blog Single Page Background",
						"desc" 		=> "Inserted picture must be above 1600px width and height is atleast 120px. You can redefine or choose other option to your specific page on meta options.",
						"id" 		=> "blogsingle_bg_image",
						"std" 		=> "",
						"mod" 		=> "min",
						"type" 		=> "upload"
				);
		
$of_options[] = array( 	"name" 		=> "Facebook comment?",
						"desc" 		=> "On will be enabling facebook comment, Off will be Wordpress default comment.",
						"id" 		=> "facebook_comment",
						"std" 		=> 0,
						"folds" 	=> 1,
						"type" 		=> "switch"
				);

	
				
$of_options[] = array( 	"name" 		=> "Facebook api key",
						"desc" 		=> "Create your own Facebook Application and <a href='https://developers.facebook.com/apps' target='_blank'>get ID</a>.",
						"id" 		=> "facebook_app_id",
						"std" 		=> "",
                                                "fold" 		=> "facebook_comment", /* the checkbox hook */
						"type" 		=> "text"
				);	


$of_options[] = array( 	"name" 		=> "Social Share on Posts?",
						"desc" 		=> "",
						"id" 		=> "social_share",
						"std" 		=> 1,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Social Share on Portfolios?",
						"desc" 		=> "",
						"id" 		=> "portfolio_share",
						"std" 		=> 1,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Facebook Like",
						"desc" 		=> "",
						"id" 		=> "facebook_share",
						"std" 		=> 1,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Twitter",
						"desc" 		=> "",
						"id" 		=> "twitter_share",
						"std" 		=> 1,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "GooglePlus",
						"desc" 		=> "",
						"id" 		=> "googleplus_share",
						"std" 		=> 1,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "Pinterest",
						"desc" 		=> "",
						"id" 		=> "pinterest_share",
						"std" 		=> 0,
						"type" 		=> "switch"
				);
$of_options[] = array( 	"name" 		=> "LinkedIn",
						"desc" 		=> "",
						"id" 		=> "linkedin_share",
						"std" 		=> 0,
						"type" 		=> "switch"
				);





		

				
$of_options[] = array( 	"name" 		=> "Shop Page Setting",
						"desc" 		=> "",
						"id" 		=> "facebook_twitter_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Shop Page Setting</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);	
				
$of_options[] = array( 	"name" 		=> "Shop Page Title",
						"desc" 		=> "Insert Title of your Shop page.",
						"id" 		=> "shop_title",
						"std" 		=> "Our Shop",
						"type" 		=> "text",
				);
$of_options[] = array( 	"name" 		=> "Shop Page Subtitle",
						"desc" 		=> "Insert Sub Title of your Shop page.",
						"id" 		=> "shop_subtitle",
						"std" 		=> "",
						"type" 		=> "text",
				);
				
$of_options[] = array( 	"name" 		=> "Shop Page Header Background",
						"desc" 		=> "Please Upload Shop Page Header Background.",
						"id" 		=> "shop_background",
						"std" 		=> "",
						"type" 		=> "upload",
				);	


$of_options[] = array( 	"name" 		=> "Page Title Setting",
						"desc" 		=> "",
						"id" 		=> "blog_add_opt_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Genral Page Title Background</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);

$of_options[] = array( 	"name" 		=> "Page Title Background Image",
						"desc" 		=> "Please Uplaod Geberal Page Title Background Image",
						"id" 		=> "title_bg_image",
						"std" 		=> "",
						"mod" 		=> "min",
						"type" 		=> "upload"
				);


//      Header and Footer TAB
$of_options[] = array( 	"name" 		=> "Header",
						"type" 		=> "heading"
				);
				
$of_options[] = array( 	"name" 		=> "Header Style",
						"desc" 		=> "Choose the menu Style.",
						"id" 		=> "header_style",
						"std" 		=> "Default",
						"type" 		=> "select",
						"options" 	=> $of_header_style
				);		
				
				
$of_options[] = array( 	"name" 		=> "Menu Style",
						"desc" 		=> "Choose the menu Style.",
						"id" 		=> "menu_style",
						"std" 		=> "Default",
						"type" 		=> "select",
						"options" 	=> $of_menu_style
				);
								
$of_options[] = array( 	"name" 		=> "Header Cart",
						"desc" 		=> "Enable/Disable Header Cart.",
						"id" 		=> "header_cart",
						"std" 		=> 0,
                        "folds" 	=> 1,
						"type" 		=> "switch"
				);				
				
$of_options[] = array( 	"name" 		=> "Fixed Menu",
						"desc" 		=> "Enable/Disable Fixed Menu",
						"id" 		=> "menu_fixed",
						"std" 		=> 1,
						"type" 		=> "switch"
				);


//      Footer TAB
				
$of_options[] = array( 	"name" 		=> "Footer",
						"type" 		=> "heading"
				);			
				

$of_options[] = array( 	"name" 		=> "Footer Settings",
						"desc" 		=> "",
						"id" 		=> "footer_section_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Footer Settings</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Footer Widget",
						"desc" 		=> "",
						"id" 		=> "footer_widget",
						"std" 		=> 1,
						"folds" 	=> 1,
						"type" 		=> "switch"
                                );
$url =  ADMIN_DIR . 'assets/images/footer/';
$of_options[] = array( 	"name" 		=> "Footer Layout",
						"desc" 		=> "Choose footer layout.",
						"id" 		=> "footer_layout",
						"std" 		=> "3-3-3-3",
						"type" 		=> "images",
                         "fold" 		=> "footer_widget", /* the checkbox hook */
						"options" 	=> array(
											'12' 	  => $url . '1col.png',
											'6-6' 	  => $url . '2col.png',
											'4-4-4'   => $url . '3col.png',
											'3-3-3-3' => $url . '4col.png'
										)
				);
$of_options[] = array( 	"name" 		=> "Footer Bottom",
						"desc" 		=> "",
						"id" 		=> "footer_bottom",
						"std" 		=> 1,
						"folds" 	=> 1,
						"type" 		=> "switch"
                                );
				
$of_options[] = array( 	"name" 		=> "Copyright Text",
						"desc" 		=> "Insert Copyright Text.",
						"id" 		=> "copyright_text",
						"fold" 		=> "footer_bottom", /* the checkbox hook */
						"std" 		=> " Copyright © 2013 wsblogz & onetouch | All Rights Reserved.",
						"type" 		=> "textarea"
				);		
				

//      Colors and Styling TAB
$of_options[] = array( 	"name" 		=> "Styling",
						"type" 		=> "heading"
				);
$of_options[] = array( 	"name" 		=> "General",
						"desc" 		=> "",
						"id" 		=> "colors_and_styling_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">General</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Primary Color",
						"desc" 		=> "Theme Primary color has all of accent colors of this theme. Default: #03CDDC",
						"id" 		=> "primary_color",
						"std" 		=> "#03CDDC",
						"type" 		=> "color"
				);


$of_options[] = array( 	"name" 		=> "Body Background Color",
						"desc" 		=> "Please Set Body Background Color",
						"id" 		=> "body_bg",
						"std" 		=> "",
						"type" 		=> "color"
				);
				
								
				
$of_options[] = array( 	"name" 		=> "Link Color",
						"desc" 		=> "Pick a tag color (default: #03CDDC).",
						"id" 		=> "link_color",
						"std" 		=> "#999",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Link Hover Color",
						"desc" 		=> "Pick a tag's hover color (default: #03CDDC).",
						"id" 		=> "link_hover_color",
						"std" 		=> "#03CDDC",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Page Title Colors",
						"desc" 		=> "",
						"id" 		=> "header_colors_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Page Title Setting</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Page Title  Background Color",
						"desc" 		=> "Please set Page Title Background Color.",
						"id" 		=> "Page_header_background",
						"std" 		=> "",
						"type" 		=> "color"
				);
				
$of_options[] = array( 	"name" 		=> "Page Title Border Color",
						"desc" 		=> "Please Select Page Title Borde Color.",
						"id" 		=> "Page_title_border_color",
						"std" 		=> "",
						"type" 		=> "color"
				);
				

				
$of_options[] = array( 	"name" 		=> "Page Title Header Color",
						"desc" 		=> "Please Select Page Title Header Color.",
						"id" 		=> "Page_header_color",
						"std" 		=> "",
						"type" 		=> "color"
				);


				
$of_options[] = array( 	"name" 		=> "Page SubTitle Color",
						"desc" 		=> "Please Select Page Title Subtitle color.",
						"id" 		=> "Page_desc_color",
						"std" 		=> "",
						"type" 		=> "color"
				);	
				

$of_options[] = array( 	"name" 		=> "Menu Colors Options",
						"desc" 		=> "",
						"id" 		=> "menu_colors_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Menu</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Menu Link Hover Color",
						"desc" 		=> "Default: #03CDDC",
						"id" 		=> "menu_hover",
						"std" 		=> "#03CDDC",
						"type" 		=> "color"
				);
				
$of_options[] = array( 	"name" 		=> "Menu Link Active Color",
						"desc" 		=> "Default: #03CDDC",
						"id" 		=> "menu_active",
						"std" 		=> "#03CDDC",
						"type" 		=> "color"
				);

				
$of_options[] = array( 	"name" 		=> "Sub Menu Background Color",
						"desc" 		=> "Default: #2A2E33",
						"id" 		=> "submenu_bg",
						"std" 		=> "#2A2E33",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Sub Menu Link Color",
						"desc" 		=> "Default: #aaa",
						"id" 		=> "submenu_link",
						"std" 		=> "#aaa",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Sub Menu Hover Background Color",
						"desc" 		=> "Default: #2A2E33",
						"id" 		=> "submenu_hover_background",
						"std" 		=> "#2A2E33",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Sub Menu Link Hover Color",
						"desc" 		=> "Default: #fff",
						"id" 		=> "submenu_hover",
						"std" 		=> "#fff",
						"type" 		=> "color"
				);


$of_options[] = array( 	"name" 		=> "Footer Color Setting",
						"desc" 		=> "",
						"id" 		=> "footer_colors_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Footer Color Setting</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Footer Background Color",
						"desc" 		=> "Please Select Footer Background Color.",
						"id" 		=> "footer_background",
						"std" 		=> "",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Footer Text Color",
						"desc" 		=> "Please Select Footer Text Color.",
						"id" 		=> "footer_text_color",
						"std" 		=> "",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Footer Link Color",
						"desc" 		=> "Please Select Footer Link Color.",
						"id" 		=> "footer_link_color",
						"std" 		=> "",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Footer Link Hover Color",
						"desc" 		=> "Please Select Footer Link Hover Color.",
						"id" 		=> "footer_link_hover_color",
						"std" 		=> "",
						"type" 		=> "color"
				);


$of_options[] = array( 	"name" 		=> "Footer Bottom Background Color",
						"desc" 		=> "Please Select Footer Copyright Background Color.",
						"id" 		=> "copyrights_bg",
						"std" 		=> "",
						"type" 		=> "color"
				);
$of_options[] = array( 	"name" 		=> "Footer Bottom Text Color",
						"desc" 		=> "Please Select Footer Copyright Text Color.",
						"id" 		=> "copyrights_text_color",
						"std" 		=> "",
						"type" 		=> "color"
				);				
$of_options[] = array( 	"name" 		=> "Footer Bottom Link Color",
						"desc" 		=> "Please Select Footer Copyright Link Color.",
						"id" 		=> "copyrights_link_color",
						"std" 		=> "",
						"type" 		=> "color"
				);					
				

$of_options[] = array( 	"name" 		=> "Footer Bottom Link Hover Color",
						"desc" 		=> "Please Select Footer Copyright Link Hover Color.",
						"id" 		=> "copyrights_link_color_hover",
						"std" 		=> "",
						"type" 		=> "color"
				);					



//      Typography TAB
$of_options[] = array( 	"name" 		=> "Typography",
						"type" 		=> "heading"
				);
$of_options[] = array( 	"name" 		=> "Body",
						"desc" 		=> "",
						"id" 		=> "body_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Body</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Body text font",
						"desc" 		=> "Specify the body font properties",
						"id" 		=> "body_text_font",
						"std" 		=> array('size' => '13px','face' => 'Open Sans','style' => 'normal','color' => '#aaa'),
						"type" 		=> "typography"
				);
$of_options[] = array( 	"name" 		=> "Widget",
						"desc" 		=> "",
						"id" 		=> "menu_link_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Menu</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Menu Link customize",
						"desc" 		=> "Specify the body font properties",
						"id" 		=> "menu_font",
						"std" 		=> array('size' => '13px','face' => 'Open Sans','style' => 'normal','color' => '#808080'),
						"type" 		=> "typography"
				);
$of_options[] = array( 	"name" 		=> "Widget",
						"desc" 		=> "",
						"id" 		=> "widget_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Widget</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Sidebar Widgets Title",
						"desc" 		=> "Specify the sidebar headline font properties",
						"id" 		=> "sidebar_widgets_title",
						"std" 		=> array('size' => '16px','face' => 'Open Sans','style' => 'normal','color' => '#2f2f2f'),
						"type" 		=> "typography"
				);
$of_options[] = array( 	"name" 		=> "Footer Widgets Title",
						"desc" 		=> "Specify the sidebar headline font properties",
						"id" 		=> "footer_widgets_title",
						"std" 		=> array('size' => '18px','face' => 'Open Sans','style' => 'normal','color' => '#fff'),
						"type" 		=> "typography"
				);
$of_options[] = array( 	"name" 		=> "Headers font styling",
						"desc" 		=> "",
						"id" 		=> "header_font_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Headlines</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Slide Header Font Famliy",
						"desc" 		=> "",
						"id" 		=> "slide_heading_font",
						"std" 		=> "Open Sans",
						"type" 		=> "select_google_font",
						"options" 	=> $ott_googlefonts
				);	
	
$of_options[] = array( 	"name" 		=> "Section Title Font Famliy",
						"desc" 		=> "",
						"id" 		=> "sec_heading_font",
						"std" 		=> "Open Sans",
						"type" 		=> "select_google_font",
						"options" 	=> $ott_googlefonts
				);	

$of_options[] = array( 	"name" 		=> "Tagline Header Font Famliy",
						"desc" 		=> "",
						"id" 		=> "tagline_heading_font",
						"std" 		=> "Open Sans",
						"type" 		=> "select_google_font",
						"options" 	=> $ott_googlefonts
				);		
				
$of_options[] = array( 	"name" 		=> "Heading Font Family",
						"desc" 		=> "",
						"id" 		=> "heading_font",
						"std" 		=> "Open Sans",
						"type" 		=> "select_google_font",
						"options" 	=> $ott_googlefonts
				);
$of_options[] = array( 	"name" 		=> "H1 - Specify Font Properties",
						"desc" 		=> "",
						"id" 		=> "h1_spec_font",
						"std" 		=> array('size' => '28px','color' => '#2f2f2f'),
						"type" 		=> "typography"
				);
$of_options[] = array( 	"name" 		=> "H2 - Specify Font Properties",
						"desc" 		=> "",
						"id" 		=> "h2_spec_font",
						"std" 		=> array('size' => '22px','color' => '#2f2f2f'),
						"type" 		=> "typography"
				);
$of_options[] = array( 	"name" 		=> "H3 - Specify Font Properties",
						"desc" 		=> "",
						"id" 		=> "h3_spec_font",
						"std" 		=> array('size' => '18px','color' => '#2f2f2f'),
						"type" 		=> "typography"
				);
$of_options[] = array( 	"name" 		=> "H4 - Specify Font Properties",
						"desc" 		=> "",
						"id" 		=> "h4_spec_font",
						"std" 		=> array('size' => '16px','color' => '#2f2f2f'),
						"type" 		=> "typography"
				);
$of_options[] = array( 	"name" 		=> "H5 - Specify Font Properties",
						"desc" 		=> "",
						"id" 		=> "h5_spec_font",
						"std" 		=> array('size' => '14px','color' => '#2f2f2f'),
						"type" 		=> "typography"
				);
$of_options[] = array( 	"name" 		=> "H6 - Specify Font Properties",
						"desc" 		=> "",
						"id" 		=> "h6_spec_font",
						"std" 		=> array('size' => '12px','color' => '#2f2f2f'),
						"type" 		=> "typography"
				);
$of_options[] = array( 	"name" 		=> "Google Font Subset",
						"desc" 		=> "",
						"id" 		=> "google_font_subset",
						"std" 		=> "<h3 style=\"margin: 3px;\">Google Font Subset</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Google Font Subset",
						"desc" 		=> "Some of Google fonts have additional subsets. Please insert those subsets seperated with comma (,). More information <a href='https://developers.google.com/fonts/docs/getting_started' target='_blank'>Google Font Subset</a>",
						"id" 		=> "google_font_subset",
						"std" 		=> "",
						"type" 		=> "text"
				);
//      Social Icons TAB
$of_options[] = array( 	"name" 		=> "Contacts",
						"type" 		=> "heading"
				);
				
$of_options[] = array( 	"name" 		=> "Contact Page Setting",
						"desc" 		=> "",
						"id" 		=> "contact_title",
						"std" 		=> "<h3 style=\"margin: 3px;\">Contact Page Setting.</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);				

$of_options[] = array( 	"name" 		=> "Contact Map",
						"desc" 		=> "Enable/disable Top Page Social and contact Bar",
						"id" 		=> "contact_map",
						"std" 		=> 1,
                        "folds" 	=> 1,
						"type" 		=> "switch"
				);


$of_options[] = array( 	"name" 		=> "Contact Page Latitude",
						"desc" 		=> "Enable/Diable Top Page Social and contact Bar Social Icons",
						"id" 		=> "map_latitude",
						"std" 		=> "",
                         "fold" 	=> "contact_map",
						"type" 		=> "text"
				);	
				


$of_options[] = array( 	"name" 		=> "Contact Page longitude",
						"desc" 		=> "Enable/Diable Top Page Social and contact Bar Social Icons",
						"id" 		=> "map_longitude",
						"std" 		=> "",
                         "fold" 	=> "contact_map",
						"type" 		=> "text"
				);					



$of_options[] = array( 	"name" 		=> "Contact Page longitude",
						"desc" 		=> "Enable/Diable Top Page Social and contact Bar Social Icons",
						"id" 		=> "map_adreess",
						"std" 		=> "",
                         "fold" 	=> "contact_map",
						"type" 		=> "textarea"
				);						

				
$of_options[] = array( 	"name" 		=> "Top Page Settings",
						"desc" 		=> "",
						"id" 		=> "top_social_bar",
						"std" 		=> "<h3 style=\"margin: 3px;\">Top Page Settings</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Top Page",
						"desc" 		=> "Enable/disable Top Page",
						"id" 		=> "social_bar",
						"std" 		=> 1,
                        "folds" 	=> 1,
						"type" 		=> "switch"
				);

				
$of_options[] = array( 	"name" 		=> "Social Icons",
						"desc" 		=> "Enable/Diable Top Page Social Icons",
						"id" 		=> "social_icons",
						"std" 		=> 1,
                         "fold" 	=> "social_bar",
						"type" 		=> "switch"
				);	
				
$of_options[] = array( 	"name" 		=> "Contact Information",
						"desc" 		=> "Enable/Diable Top Page Contact Information.",
						"id" 		=> "social_contact",
						"std" 		=> 1,
                         "fold" 	=> "social_bar",
						"type" 		=> "switch"
				);		
					

				
				
				
$of_options[] = array( 	"name" 		=> "Conatct Email",
						"desc" 		=> "Enter the Conatct Email.",
						"id" 		=> "contact_email",
						"std" 		=> "info@website.com",
						"type" 		=> "text"
				);
					
$of_options[] = array( 	"name" 		=> "Conatct Phone",
						"desc" 		=> "Enter the Conatct Email.",
						"id" 		=> "contact_phone",
						"std" 		=> "00201238547",
						"type" 		=> "text"
				);			
			
	
				
$of_options[] = array( 	"name" 		=> "Social Icons heading",
						"desc" 		=> "",
						"id" 		=> "social_icons_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Inserted Social Icons will be displayed on top Header section.</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "RSS URL",
						"desc" 		=> "Enter the RSS URL.",
						"id" 		=> "rss_url",
						"std" 		=> "#",
						"type" 		=> "text"
				);
				
				
$of_options[] = array( 	"name" 		=> "Twitter Username",
						"desc" 		=> "Enter the Twitter Username.",
						"id" 		=> "twitter_username",
						"std" 		=> "#",
						"type" 		=> "text"
				);	
				
$of_options[] = array( 	"name" 		=> "Facebook ID",
						"desc" 		=> "Enter the Facebook ID.",
						"id" 		=> "facebook_username",
						"std" 		=> "#",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Flickr Username",
						"desc" 		=> "Enter the Flickr Username.",
						"id" 		=> "flickr_username",
						"std" 		=> "#",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "Youtube Username",
						"desc" 		=> "Enter the Youtube Username.",
						"id" 		=> "youtube_username",
						"std" 		=> "",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> "Vimeo Username",
						"desc" 		=> "Enter the Vimeo Username.",
						"id" 		=> "vimeo_username",
						"std" 		=> "",
						"type" 		=> "text"
				);
	
				
$of_options[] = array( 	"name" 		=> "tumblr Username",
						"desc" 		=> "Enter the tumblr Username.",
						"id" 		=> "tumblr_url",
						"std" 		=> "",
						"type" 		=> "text"
				);

					
$of_options[] = array( 	"name" 		=> "Google + ID",
						"desc" 		=> "Enter the Google + Username.",
						"id" 		=> "googleplus_username",
						"std" 		=> "",
						"type" 		=> "text"
				);
				
				
$of_options[] = array( 	"name" 		=> "Dribbble Username",
						"desc" 		=> "Enter the Dribbble Username.",
						"id" 		=> "dribbble_username",
						"std" 		=> "",
						"type" 		=> "text"
				);	
				
$of_options[] = array( 	"name" 		=> "Digg Username",
						"desc" 		=> "Enter the Digg Username.",
						"id" 		=> "digg_username",
						"std" 		=> "",
						"type" 		=> "text"
				);					
				
				
$of_options[] = array( 	"name" 		=> "Linkedin Username",
						"desc" 		=> "Enter the Linkedin Username.",
						"id" 		=> "linkedin_username",
						"std" 		=> "",
						"type" 		=> "text"
				);		
				
$of_options[] = array( 	"name" 		=> "Pinterest Username",
						"desc" 		=> "Enter the Pinterest Username.",
						"id" 		=> "pinterest_username",
						"std" 		=> "",
						"type" 		=> "text"
				);		
				

$of_options[] = array( 	"name" 		=> "Instagram Username",
						"desc" 		=> "Enter the Instagram Username.",
						"id" 		=> "instagram_username",
						"std" 		=> "",
						"type" 		=> "text"
				);
				
				

$of_options[] = array( 	"name" 		=> "Skype Username",
						"desc" 		=> "Enter the Skype Username.",
						"id" 		=> "skype_username",
						"std" 		=> "",
						"type" 		=> "text"
				);

//      FB Twitter TAB

$of_options[] = array( 	"name" 		=> "Twitter API",
						"type" 		=> "heading"
				);




$of_options[] = array( 	"name" 		=> "Facebook & Twitter",
						"desc" 		=> "",
						"id" 		=> "facebook_twitter_info2",
						"std" 		=> "<h3 style=\"margin: 3px;\">Twitter API section (Note this will Required!)</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Consumer key",
                                                "desc" 		=> "You need to Create your Twitter APP and <a href='https://dev.twitter.com/apps' target='_blank'>insert the ID</a>.",
                                                "id" 		=> "consumerkey",
                                                "std" 		=> "",
                                                "type" 		=> "text");
$of_options[] = array( 	"name" 		=> "Consumer secret",
                                                "desc" 		=> "",
                                                "id" 		=> "consumersecret",
                                                "std" 		=> "",
                                                "type" 		=> "text");
$of_options[] = array( 	"name" 		=> "Access token",
                                                "desc" 		=> "",
                                                "id" 		=> "accesstoken",
                                                "std" 		=> "",
                                                "type" 		=> "text");
$of_options[] = array( 	"name" 		=> "Access token secret",
                                                "desc" 		=> "",
                                                "id" 		=> "accesstokensecret",
                                                "std" 		=> "",
                                                "type" 		=> "text");

//      Translate option TAB
$of_options[] = array( 	"name" 		=> "Translate",
						"type" 		=> "heading"
				);
$of_options[] = array( 	"name" 		=> "Translate text",
						"desc" 		=> "",
						"id" 		=> "translate_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">All of our theme additional translation text translate able here.</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Continue Reading",
						"desc" 		=> "Continue Reading text on category page.",
						"id" 		=> "translate_readmore",
						"std" 		=> "Continue Reading",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Project Description",
						"desc" 		=> "Project Description text on portfolio single page.",
						"id" 		=> "translate_projectdesc",
						"std" 		=> "Project Description",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Live Preview",
						"desc" 		=> "Live Preview text on portfolio single page.",
						"id" 		=> "translate_livepreview",
						"std" 		=> "Live Preview",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Related Portfolio",
						"desc" 		=> "Related Portfolio text on portfolio single page.",
						"id" 		=> "translate_relatedportfolio",
						"std" 		=> "Related Portfolio",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Show All",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "portfolio_show_all",
						"std" 		=> "Show All",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Posts",
						"desc" 		=> "",
						"id" 		=> "translate_post",
						"std" 		=> "<h3 style=\"margin: 3px;\">Posts</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Posted on",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "pp_date",
						"std" 		=> "Posted on",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "By",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "pp_author",
						"std" 		=> "By",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "In",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "pp_cateogry",
						"std" 		=> "In",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Twitter section",
						"desc" 		=> "",
						"id" 		=> "translate_post",
						"std" 		=> "<h3 style=\"margin: 3px;\">Twitter and Twitter Carousel</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Follow Us",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "ott_car_follow",
						"std" 		=> "Follow Us",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Right now",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "ott_car_rn",
						"std" 		=> "right now",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> " Seconds ago",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "ott_car_sa",
						"std" 		=> " seconds ago",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "About 1 minute ago",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "ott_car_aoma",
						"std" 		=> "about 1 minute ago",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> " Minutes ago",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "ott_car_ma",
						"std" 		=> " minutes ago",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "About 1 hour ago",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "ott_car_aoha",
						"std" 		=> "about 1 hour ago",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> " Hours ago",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "ott_car_ha",
						"std" 		=> " hours ago",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Yesterday",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "ott_car_yes",
						"std" 		=> "yesterday",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> " Days ago",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "ott_car_da",
						"std" 		=> " days ago",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> " Over a year ago",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "ott_car_oaya",
						"std" 		=> "over a year ago",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Page Title section",
						"desc" 		=> "",
						"id" 		=> "translate_page_title",
						"std" 		=> "<h3 style=\"margin: 3px;\">Page Title section</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Category",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "pt_category",
						"std" 		=> "Category",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Portfolio",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "pt_portfolio",
						"std" 		=> "Portfolio",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Tag",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "pt_tag",
						"std" 		=> "Tag",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "404 Page",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "pt_nothing_found",
						"std" 		=> "404 Page",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Author",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "pt_author",
						"std" 		=> "Author",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Daily Archives",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "pt_daily_arch",
						"std" 		=> "Daily Archives",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Monthly Archives",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "pt_monthly_arch",
						"std" 		=> "Monthly Archives",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Yearly Archives",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "pt_yearly_arch",
						"std" 		=> "Yearly Archives",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Blog Archives",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "pt_blog_arch",
						"std" 		=> "Blog Archives",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Search results for",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "pt_search_result",
						"std" 		=> "Search results for",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Breadcrump text",
						"desc" 		=> "",
						"id" 		=> "translate_breadcrump",
						"std" 		=> "<h3 style=\"margin: 3px;\">Breadcrump section</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Home",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "br_home",
						"std" 		=> "Home",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Archive by Category",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "br_category",
						"std" 		=> "Archive by Category",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Search Results for",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "br_search",
						"std" 		=> "Search Results for",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Posts Tagged",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "br_tag",
						"std" 		=> "Posts Tagged",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Articles Posted by",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "br_author",
						"std" 		=> "Articles Posted by",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Error 404",
						"desc" 		=> "Change it to your custom translate.",
						"id" 		=> "br_404",
						"std" 		=> "Error 404",
						"type" 		=> "text"
				);


//      Custom CSS TAB
$of_options[] = array( 	"name" 		=> "Custom CSS",
						"type" 		=> "heading"
				);
$of_options[] = array( 	"name" 		=> "Custom CSS",
						"desc" 		=> "",
						"id" 		=> "custom_css_info",
						"std" 		=> "<h3 style=\"margin: 3px;\">Enter the Custom CSS of your custom Modify.</h3>",
						"icon" 		=> true,
						"type" 		=> "info"
				);
$of_options[] = array( 	"name" 		=> "Custom CSS",
						"desc" 		=> "Paste your own customized CSS code.",
						"id" 		=> "custom_css",
						"std" 		=> "",
						"type" 		=> "textarea"
				);

//     Backup Options
$of_options[] = array( 	"name" 		=> "Backup Options",
						"type" 		=> "heading"
				);
				
$of_options[] = array( 	"name" 		=> "Backup and Restore Options",
						"id" 		=> "of_backup",
						"std" 		=> "",
						"type" 		=> "backup",
						"desc" 		=> 'You can use the two buttons below to backup your current options, and then restore it back at a later time. This is useful if you want to experiment on the options but would like to keep the old settings in case you need it back.',
				);
				
$of_options[] = array( 	"name" 		=> "Transfer Theme Options Data",
						"id" 		=> "of_transfer",
						"std" 		=> "",
						"type" 		=> "transfer",
						"desc" 		=> 'You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options".',
				);

	}//End function: of_options()
}//End chack if function exists: of_options()
?>
