<?php

function theme_option_styles() {

    function hex2rgb($hex) {
        $hex = str_replace("#", "", $hex);

        if (strlen($hex) == 3) {
            $r = hexdec(substr($hex, 0, 1) . substr($hex, 0, 1));
            $g = hexdec(substr($hex, 1, 1) . substr($hex, 1, 1));
            $b = hexdec(substr($hex, 2, 1) . substr($hex, 2, 1));
        } else {
            $r = hexdec(substr($hex, 0, 2));
            $g = hexdec(substr($hex, 2, 2));
            $b = hexdec(substr($hex, 4, 2));
        }
        $rgb = array($r, $g, $b);
        return implode(",", $rgb); // returns the rgb values separated by commas
        //return $rgb; // returns an array with the rgb values
    }
    ?>

    <!-- Custom CSS -->

    <style>
        body {
            font-family: <?php echo ott_option('body_text_font', 'face'); ?>, Arial, Helvetica, sans-serif;
            font-size: <?php echo ott_option('body_text_font', 'size'); ?>; 
            font-weight: <?php echo ott_option('body_text_font', 'style'); ?>; 
            color: <?php echo ott_option('body_text_font', 'color'); ?>;
            <?php
            if (ott_option('theme_layout') == 'boxed') {
                if (ott_option('background_color') != "") {
                    echo 'background-color: ' . ott_option('background_color') . ';';
                }
								$background_pat = ott_option('background_pat');
				 if (ott_option('background_pat') != "") {
					 echo 'background-image: url( '.THEME_DIR.'/assets/img/patterns/' . $background_pat . ');';
				}
                if (ott_option('background_image') != "") {
                    echo 'background-image: url(' . ott_option('background_image') . ');';
                }
                if (ott_option('background_repeat') != 'Strech Image') {
                    echo 'background-repeat: ' . ott_option('background_repeat') . ';';
                } else {
                    echo '-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
                }


                echo "background-attachment: fixed;";
                echo "margin-top:" . ott_option('margin_top') . "px;";
                echo "margin-bottom:" . ott_option('margin_bottom') . "px";
            }
            ?>
        }
        h1,h2,h3,h4,h5,h6,
        .btn,button, .ott-portfolio .ott-filter ul,
        .loop-media blockquote p,
        input[type="submit"],
        input[type="reset"],
        input[type="button"],
        .accordion-heading .accordion-toggle,
        .ott-featured-content a,
        .isotope-container .loop-block a.more-link{font-family: <?php echo ott_option('heading_font'); ?>;}
        h1{ font-size: <?php echo ott_option('h1_spec_font', 'size'); ?>; color: <?php echo ott_option('h1_spec_font', 'color'); ?>; }
        h2{ font-size: <?php echo ott_option('h2_spec_font', 'size'); ?>; color: <?php echo ott_option('h2_spec_font', 'color'); ?>; }
        h3{ font-size: <?php echo ott_option('h3_spec_font', 'size'); ?>; color: <?php echo ott_option('h3_spec_font', 'color'); ?>; }
        h4{ font-size: <?php echo ott_option('h4_spec_font', 'size'); ?>; color: <?php echo ott_option('h4_spec_font', 'color'); ?>; }
        h5{ font-size: <?php echo ott_option('h5_spec_font', 'size'); ?>; color: <?php echo ott_option('h5_spec_font', 'color'); ?>; }
        h6{ font-size: <?php echo ott_option('h6_spec_font', 'size'); ?>; color: <?php echo ott_option('h6_spec_font', 'color'); ?>; }

        a,.ott-callout h1 a,#sidebar ul.menu .current_page_item a,.sf-menu > li.current_page_item > a{ color: <?php echo ott_option('link_color'); ?>; }
        a:hover, a:focus,.loop-meta a:hover{ color: <?php echo ott_option('link_hover_color'); ?>; }
		
		
		<?php if(ott_option('body_bg')!=''){?> 
				#main { background-color: <?php echo ott_option('body_bg'); ?>; }
		<?php } ?> 


        /* Fonts ------------------------------------------------------------------------ */

		.ott-title-container h3, h3.widget-title{font-family: <?php echo ott_option('sec_heading_font');?>;	}

		
		
		
		.tp-caption { font-family: <?php echo ott_option('sec_heading_font') ;?> !important;}
		.ott-big-title, p.ott-about-desc, .ott-callout h1{ font-family: <?php echo ott_option('tagline_heading_font') ;?> !important;}
		
		



        /* Header ------------------------------------------------------------------------ */  
			#page-title{ background-color: <?php echo ott_option('Page_header_background'); ?>; }
			 <?php if (ott_option('header_cart')) { ?>
				#header .menu-container {
					padding-right: 72px;
				}
			<?php } ?> 
			<?php if(ott_option('Page_title_border_color')!=''){?> 
			#page-title {border-color: <?php echo ott_option('Page_title_border_color');?>;}
			<?php } ?> 
	
	
			<?php if(ott_option('Page_header_color')!=''){?> 
			#page-title h1, #page-title span {
			color: <?php echo ott_option('Page_header_color');
			?>;
			}
			<?php } ?> 

			<?php if(ott_option('Page_desc_color')!=''){?> 
			#page-title h3, .ott-breadcrumb span a {
			color: <?php echo ott_option('Page_desc_color');
			?>;
			}
			<?php } ?> 



        /* Navigation ------------------------------------------------------------------------ */ 

        #header .ott-menu-container{ background-color: <?php echo ott_option('menu_background'); ?>; }
        ul.sf-menu > li a{ font-family: <?php echo ott_option('menu_font', 'face'); ?>, Arial, Helvetica, sans-serif; font-size: <?php echo ott_option('menu_font', 'size'); ?>; font-weight: <?php echo ott_option('menu_font', 'style'); ?>; color: <?php echo ott_option('menu_font', 'color'); ?>; }
       ul.sf-menu > li:hover > a, ul.sf-menu > li:hover > a i{ color: <?php echo ott_option('menu_hover'); ?>; }
		
		 ul.sf-menu > li.current-page-item > a, ul.sf-menu > li a:hover,ul.sf-menu > li.current-menu-item > a,ul.sf-menu > li.current-menu-item[class^="icon-"]:before, ul.sf-menu > li.current-menu-item[class*=" icon-"]:before,ul.sf-menu > li.current_page_ancestor[class^="icon-"]:before, ul.sf-menu > li.current_page_ancestor[class*=" icon-"]:before,ul.sf-menu > li:hover > a{ color: <?php echo ott_option('menu_active'); ?>; }
		
        ul.sf-menu li ul li { background: <?php echo ott_option('submenu_bg'); ?>; }
        ul.sf-menu li ul li:hover { background: <?php echo ott_option('submenu_hover_background'); ?>; }
        ul.sf-menu li ul li.current-menu-item a,ul.sf-menu li ul li a { color: <?php echo ott_option('submenu_link'); ?>; }
        ul.sf-menu li ul li a:hover,ul.sf-menu li ul li.current-menu-item a,ul.sf-menu li ul li.current_page_item a, 
		#navigation-wrapper .current-menu-item > ul li a:hover, .sf-menu > li.current_page_item ul li a:hover, 
		#navigation-wrapper .sf-menu .current-menu-ancestor .sf-with-ul ul li a:hover,
		#navigation-wrapper .sf-menu > li.current_page_item  > ul li a :hover,
		#navigation-wrapper .sf-menu > li.current_page_ancestor > ul li a:hover,
		#navigation-wrapper .sf-menu > li.current-menu-ancestor > ul li a:hover,
		#navigation-wrapper .sf-menu > li.current-menu-item > ul li  a :hover, 
		#navigation-wrapper .sf-menu li.current_page_ancestor > ul li a:hover,
		#navigation-wrapper .sf-menu li.current-menu-parent > ul li a:hover
		 { color: <?php echo ott_option('submenu_hover'); ?> !important; }

        /* Main ------------------------------------------------------------------------ */  
      

			/* Footer ------------------------------------------------------------------------ */  
			
			<?php if(ott_option('footer_background')!=''){?>
					#footer .ott-footer-widgets {
			background-color:  <?php echo ott_option('footer_background');
			?>
			}
			<?php } ?>
			<?php if(ott_option('footer_background')!=''){?>
			.ott-footer-shap {
			border-top-color:  <?php echo ott_option('footer_background');
			?>
			}
			<?php } ?>
			
			<?php if(ott_option('footer_text_color')!=''){?>
			#footer .widgets-top {
			color: <?php echo ott_option('footer_text_color');
			?>;
			}
			<?php } ?>
			<?php if(ott_option('footer_link_color')!=''){?>
			#footer a, #footer .ott-recent-posts-widget h4 a {
			color: <?php echo ott_option('footer_link_color');
			?>;
			}
			<?php } ?>
			<?php if(ott_option('footer_link_hover_color')!=''){?>
			#footer a:hover, #footer .ott-recent-posts-widget h4 a:hover, #footer .ott-recent-posts-widget h4 a:hover {
			color: <?php echo ott_option('footer_link_hover_color');
			?>;
			}
			<?php } ?>
			
			
			<?php if(ott_option('copyrights_bg')!=''){?>
			
			#bottom {
				background-color:<?php echo ott_option('copyrights_bg');
			?>;
			}
			<?php } ?>
			
			
			<?php if(ott_option('copyrights_text_color')!=''){?>
			#bottom {
			color: <?php echo ott_option('copyrights_text_color');
			?>;
			}
			<?php } ?>
			
			
			<?php if(ott_option('copyrights_link_color')!=''){?>
			#bottom a {
			color: <?php echo ott_option('copyrights_link_color');
			?>;
			}
			<?php } ?>
			
			<?php if(ott_option('copyrights_link_color_hover')!=''){?>
			#bottom a:hover {
			color: <?php echo ott_option('copyrights_link_color_hover');
			?>;
			}
			<?php } ?>


        /* General Color ------------------------------------------------------------------------ */ 

        ::selection{ background: <?php echo ott_option('primary_color'); ?>; }
        ::-moz-selection{ background: <?php echo ott_option('primary_color'); ?>; }

        .sub-title{color: <?php echo ott_option('body_text_font', 'color'); ?>;}

        .tagcloud a:hover, #footer .tagcloud a:hover,.ui-slider-handle{ background: <?php echo ott_option('primary_color'); ?> !important; }
        button,input[type="submit"],input[type="reset"],input[type="button"],.content-meta,.comment-block .comment span.comment-splash,.ott-pagination.pagination ul>li>a.selected,.ott-coming-soon .days,.ott-coming-soon .hours,.ott-coming-soon .minutes,.ott-coming-soon .seconds,..woocommerce span.onsale, .woocommerce-page span.onsale,
        .woocommerce a.button.alt, .woocommerce-page a.button.alt, .woocommerce button.button.alt, .woocommerce-page button.button.alt, .woocommerce input.button.alt, .woocommerce-page input.button.alt, .woocommerce #respond input#submit.alt, .woocommerce-page #respond input#submit.alt, .woocommerce #content input.button.alt, .woocommerce-page #content input.button.alt, #foo .search-btn, .ott-title-container.large .ott-section-title:before{ background: <?php echo ott_option('primary_color'); ?>; }
        .team-member ul.ott-social-icon li a:hover,ul.ott-social-icon li a:hover{ background-color: <?php echo ott_option('primary_color'); ?>; }
        .ott-dropcap,.progress .bar,div.jp-jplayer.jp-jplayer-video,.pagination ul>li>a.current,.carousel-content .post-format,span.post-format{ background-color: <?php echo ott_option('primary_color'); ?>; }
        footer#footer .ott-recent-posts-widget .meta a,.highlight,.ott-top-bar-info a,#bottom a,.ott-title-container h3 span,a.live-preview,#sidebar ul.menu li.current_page_item a,ul.sf-menu > li.current_page_ancestor > a,ul.sf-menu > li.current-menu-ancestor >a,h3.error404 span,.total strong,.woocommerce ul.products li.product .price, .woocommerce-page ul.products li.product .price, .ott-title-container i{ color: <?php echo ott_option('primary_color'); ?>; }
        .ott-top-service-text div:last-child,h2.loop-title a:hover,#sidebar a:hover,a.live-preview:hover,.pagination ul>li>a.current, .pagination ul>li>span.current, .pagination ul>li>a:hover,.list_carousel li .carousel-content h3:hover a,h2.portfolio-title a:hover, blockquote:before, .ott-filter ul li a:hover, .ott-filter ul li a.selected, .ott-recent-posts-widget .meta, #page-title .withbg h1, #mainpage .price, div .stock, .team-member h2, .team-member h2 a{ color: <?php echo ott_option('primary_color'); ?>; }
		#navigation-wrapper .current-menu-item > a, #navigation-wrapper .sf-menu > li.current_page_item a, #navigation-wrapper .sf-menu .current-menu-ancestor a.sf-with-ul, #navigation-wrapper .sf-menu > li.current_page_item > a, #navigation-wrapper .sf-menu > li.current_page_ancestor > a, #navigation-wrapper .sf-menu > li.current-menu-ancestor > a, #navigation-wrapper .sf-menu > li.current-menu-item > a, #navigation-wrapper .sf-menu li.current_page_ancestor > a #navigation-wrapper .sf-menu li.current-menu-parent > a{ border-top-color: <?php echo ott_option('primary_color'); ?> !important; }
		#navigation-wrapper .current-menu-item > a:hover, 
#navigation-wrapper .sf-menu > li.current_page_item a:hover, 
#navigation-wrapper .sf-menu .current-menu-ancestor a.sf-with-ul:hover,
#navigation-wrapper .sf-menu > li.current_page_item  > a:hover,
#navigation-wrapper .sf-menu > li.current_page_ancestor >a:hover,
#navigation-wrapper .sf-menu > li.current-menu-ancestor >a:hover,
#navigation-wrapper .sf-menu li.current_page_ancestor > a:hover, .current-menu-item > a i, .current-menu-item > a:hover i { color: <?php echo ott_option('primary_color'); ?> !important; }
		
		
        .pagination ul>li>a.current, .pagination ul>li>span.current,.team-member .loop-image,.pagination ul>li>a:hover,ul.sf-menu > li.current_page_ancestor, .header-minimal{ border-color: <?php echo ott_option('primary_color'); ?>; }
        ul.sf-menu > li.current-page-item,.ott-testimonials .carousel-arrow a.carousel-prev:hover, .ott-testimonials .carousel-arrow a.carousel-next:hover, #page-title .withbg h3, .cart_dropdown, #mainpage .onsale, button, input[type="submit"], input[type="reset"], input[type="button"]{ background:<?php echo ott_option('primary_color'); ?>; }
        .image-overlay.hover-zoom,.loop-block a.more-link,article .loop-format,.btn, #foo .search-btn:hover{background-color:<?php echo ott_option('primary_color'); ?>;}
        .image-overlay, .loop-image:hover .overlay {background-color: <?php echo "rgba(" . hex2rgb(ott_option('primary_color')) . ",.7)" ?> ; }
        <?php echo ott_option('custom_css'); ?>
    </style>

    <?php
}

add_action('wp_head', 'theme_option_styles', 100);
?>