<?php
global $ott_options, $ott_isArchive;
$block = isset($ott_options['block']) ? intval($ott_options['block']) : 1;
$layout = !empty($ott_options['layout']) ? $ott_options['layout'] : 'standard';
$show_pagination = isset($ott_options['show_pagination']) ? $ott_options['show_pagination'] : true;
if (!empty($ott_options['more_text'])) {
    $readMore = $ott_options['more_text'];
} else {
    $readMore = ott_option('translate_readmore') ? ott_option('translate_readmore') : __('Continue Reading', 'wsblogz');
}

if ($ott_isArchive || is_tag() || is_search()) {
    $nofeatured = true;
    $layout = 'standard';
    $ott_options['excerpt_count'] = 50;
}


if (have_posts()) {

    $width = 870;
    $class = '';
    if ($layout != 'standard') {
        $class = "span" . $layout;
        $width = 270;
        if ($class == 'span6') {
            $width = 570;
        } elseif ($class == 'span4') {
            $width = 370;
        }
    }

    echo $layout != 'standard' ? "<div class='row'><div class='isotope-container'>" : "";

    while (have_posts()) : the_post();
        $format = get_post_format() == "" ? "standard" : get_post_format();
        $featured = true;
        if (!has_post_thumbnail($post->ID)) {
            if (in_array($format, array('aside', 'chat', 'standard')))
                $featured = false;
        }

        if ($layout == 'standard') {
            ?>

<article id="post-<?php the_ID(); ?>" <?php post_class("loop"); ?>>
  <div class="post-inner">
  <div class="row-fluid">
  
 
    
    
    	<?php if ($format == 'link' || $format == 'quote') { ?>
    <div class="loop-block">
      <div class="loop-media">
        <div class="loop-format"> <span class="post-format <?php echo $format; ?>"></span> </div></div>
        <div class="span12"><?php call_user_func('format_' . $format); ?></div>
      
    </div>
     <?php } elseif ($format == 'status') { ?>
    <div class="loop-block">
        <div class="span12"><?php call_user_func('format_' . $format); ?></div>
     </div>
    <?php } else {?>
   
    <?php if (!isset($nofeatured) && $featured) { ?>
    <div class="span4">
    <div class="loop-media">
    <?php call_user_func('format_' . $format); ?>    
    </div>
     </div>
    <?php } ?>
   
    <div class="span8">
    	<div class="loop-block">
      <h2 class="loop-title"><a href="<?php the_permalink(); ?>">
        <?php the_title(); ?>
        </a></h2>
      <div class="meta-container">
        <ul class="loop-meta inline">
          <li class="date"><?php echo ott_option('pp_date') ? ott_option('pp_date') : __('Posted on', 'wsblogz'); ?> <span class="date">
            <?php the_time('j M Y'); ?>
            </span></li>
          <li class="author"><?php echo ott_option('pp_author') ? ott_option('pp_author') : __('By', 'wsblogz'); ?>
            <?php the_author_posts_link() ?>
          </li>
          <li class="category"><?php echo ott_option('pp_cateogry') ? ott_option('pp_cateogry') : __('In', 'wsblogz'); ?> <?php echo get_the_category_list(', '); ?></li>
                   <li class="tags"><?php echo ott_option('pp_tags') ? ott_option('pp_tags') : __('Tags', 'wsblogz'); ?> <?php echo get_the_tag_list(', '); ?></li>
        </ul>
      </div>
      <div class="loop-content clearfix">
        <?php loop_content(); ?>
        <a href="<?php the_permalink(); ?>" class="more-link"><?php echo apply_filters("widget_title", $readMore); ?></a> </div>
    </div>
    </div>
    <?php } ?>
     </div>
  </div>
</article>
<?php } else {
            ?>
<article id="post-<?php the_ID(); ?>" <?php post_class("loop $class"); ?>>
  <div class="post-inner">
    <?php if ($format == 'link' || $format == 'quote') { ?>
    <div class="loop-media">
      <div class="loop-format"> <span class="post-format <?php echo $format; ?>"></span> </div>
      <?php call_user_func('format_' . $format); ?>
    </div>
         <?php } elseif ($format == 'status') { ?>
    <div class="loop-block">
    <div class="loop-media">
      <?php call_user_func('format_' . $format); ?>
    </div>
    </div>
    <?php
                } else {
                    ?>
    <?php if (!isset($nofeatured) && $featured) { ?>
    <div class="loop-media">
      <?php call_user_func('format_' . $format); ?>
    </div>
    <?php } ?>
    <div class="loop-block">
      <h2 class="loop-title"><a href="<?php the_permalink(); ?>">
        <?php the_title(); ?>
        </a></h2>
      <div class="meta-container">
        <div class="carousel-meta clearfix">
          <div class="date"><i class="icon-calendar-empty"></i>
            <?php the_time('j M Y'); ?>
          </div>
          <div class="comment-count"><i class="icon-comments-alt"></i><?php echo comment_count(); ?></div>
        </div>
      </div>
      <div class="loop-content clearfix">
        <?php loop_content(); ?>
      </div>
      <?php if($ott_options['excerpt_count']!='0') { ?>
      <div class="read-more-container"> <a href="<?php the_permalink(); ?>" class="more-link"><?php echo apply_filters("widget_title", $readMore); ?></a> </div>
      <?php } ?>
    </div>
    <?php } ?>
  </div>
</article>
<?php
        }
    endwhile;
    echo $layout != 'standard' ? "</div></div>" : "";
    if(isset($ott_options['pagination'])){
        if($ott_options['pagination']=="simple"){
            pagination();
        }elseif($ott_options['pagination']=="infinite"){
            infinite();
        }
    }else{
        if ($show_pagination) {
            pagination();
        }
    }
    wp_reset_query();
}
